<?php

namespace Hilco\Models;

abstract class PromotionActionDetails extends WebModel {
    public function action() {
        return $this->hasOne(PromotionAction::class, 'action_id', 'id');
    }

    public abstract function takeAction(Customer $soldToCustomer, $webCartItems, &$status);

    use HasCommitSequence;
}